跳转到主要内容
POST
/
merchant
/
open
/
institution
/
v1
/
pay
/
merchant
/
product
/
pageQuery
查询产品列表
curl --request POST \
  --url https://openplatform.gateapi.io/merchant/open/institution/v1/pay/merchant/product/pageQuery \
  --header 'Content-Type: application/json' \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
  --data '
{
  "pageNo": 1,
  "pageSize": 10
}
'
{
  "success": "true",
  "code": "0",
  "message": "",
  "data": {
    "total": 1,
    "list": [
      {
        "merchantProductNo": "MTDC123",
        "productNo": "82973642140155927",
        "productName": "美团单车",
        "productDesc": "美团单车会员",
        "productLogo": "https://s3.ap-northeast-1.amazonaws.com/gimg.gateimg.com/image/1627288/fe48d444c1943d65fb0125d766a7124d277f52d7112eebe6df47e321bafda073.jpg",
        "status": "ACTIVE",
        "createTime": 1774853409437,
        "updateTime": 1774853409437,
        "priceList": [
          {
            "merchantPriceNo": "MTDC_1123",
            "priceNo": "82973642140155928",
            "productNo": "82973642140155927",
            "priceName": "包月",
            "priceDesc": "每月一次",
            "priceType": "FIX_AMOUNT",
            "payChannels": [
              {
                "channel": "GATEPAY",
                "status": "ACTIVE"
              }
            ],
            "amountType": "fiat",
            "cryptoCurrency": "",
            "cryptoAmount": null,
            "fiatCurrency": "USD",
            "fiatAmount": 10,
            "period": "MONTH",
            "interval": 1,
            "promoConfigType": "NONE",
            "promoAmount": null,
            "promoRate": null,
            "status": "ACTIVE",
            "createTime": 1774853409437,
            "updateTime": 1774853409437
          }
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.gate.com/llms.txt

Use this file to discover all available pages before exploring further.

概述

本页说明 POST /merchant/open/institution/v1/pay/merchant/product/pageQuery 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

说明

  • 认证方式使用 GatePay 标准签名请求头。
  • 本页展示同一接口的机构路径版本。
  • 除创建子账户、查询子账户详情、分页查询子账户外,机构侧请求需携带 X-GatePay-On-Behalf-Of
  • 通用签名规则请参见 /api-reference/version/100/cn/common/securityAndSignature

请求头

X-GatePay-Certificate-ClientId
string
必填

商户客户端ID,在 GatePay 平台申请获得

示例:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
必填

HMAC-SHA256签名,用于验证请求合法性

示例:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"

X-GatePay-Timestamp
string
必填

时间戳(毫秒),与服务器时间差不能超过5分钟

示例:

"1672905655498"

X-GatePay-Nonce
string
必填

随机数,用于防止重放攻击

示例:

"9578"

X-GatePay-On-Behalf-Of
string
必填

必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。

请求体

application/json

查询产品列表入参

pageNo
integer<int32>
必填

页数

示例:

1

pageSize
integer<int32>
必填

每页大小

示例:

10

响应

200 - application/json

查询产品列表成功

code
string

响应码,成功为 "0"

示例:

"0"

message
string

失败返回错误原因

示例:

""

success
string

true(成功)/ false(失败)

示例:

"true"

data
object

分页查询结果